Page MenuHomePhabricator

History: 'undo' for topic summary still uses the old editor system (has the old-style icon)
Closed, ResolvedPublic

Description

Split up from T114448 "Investigate the uses of the old editor system in Flow, and clean up the uses in handlebars"

One case left when 'undo' uses the old icon.

  1. Edit summary -save.
  2. Go to 'View history' click 'undo' for edit summary/.

e.g. http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Topic:Splxbkvnzbgwevzf&action=undo-edit-topic-summary&topicsummary_startId=splxbx78xgntdafs&topicsummary_endId=sr5ewdg2vw76km54 will present old-style icon.

Event Timeline

Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 20 2015, 9:02 PM
Mattflaschen-WMF renamed this task from History: 'undo' for topic summary still has the old-style icon to History: 'undo' for topic summary still uses the old editor system (has the old-style icon).Oct 30 2015, 10:08 PM
Mattflaschen-WMF set Security to None.

Re-checked in betalabs - the issue is still present.


The js error is displayed:

Error: domNode has no ancestor with a .data( 'view' ) Error: domNode has no ancestor with a .data( 'view' )
SBisson closed this task as Resolved.Sep 7 2018, 4:57 PM
SBisson claimed this task.
SBisson added a subscriber: SBisson.

Undo topic summary now uses the new editor.

Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 7 2018, 4:57 PM